Loading...
Searching...
No Matches
casacore::MArrayMathBase_global_functions_Array_basic_functions::MArrayFunctorBase< T, RES > Class Template Referenceabstract

Define the base class for functors to perform a reduction function on an MArray object. More...

`#include <MArrayMathBase.h>`

## Public Member Functions

virtual | ~MArrayFunctorBase ()
virtual RES | operator() (const MArray< T > &) const =0

## Detailed Description

template<typename T, typename RES = T>
class casacore::MArrayMathBase_global_functions_Array_basic_functions::MArrayFunctorBase< T, RES >

Define the base class for functors to perform a reduction function on an MArray object.

The functors themselves are defined elsewhere.

Definition at line 261 of file MArrayMathBase.h.

## Constructor & Destructor Documentation

## ~MArrayFunctorBase()

template<typename T, typename RES = T>

virtual casacore::MArrayMathBase_global_functions_Array_basic_functions::MArrayFunctorBase< T, RES >::~MArrayFunctorBase | ( |  | ) |

inline virtual

Definition at line 263 of file MArrayMathBase.h.

## Member Function Documentation

## operator()()

template<typename T, typename RES = T>

virtual RES casacore::MArrayMathBase_global_functions_Array_basic_functions::MArrayFunctorBase< T, RES >::operator() | ( | const MArray< T > & |  | ) | const

pure virtual

The documentation for this class was generated from the following file:

- tables/TaQL/MArrayMathBase.h